FitData Struct Reference

Structure for fitting data. More...

`#include <fit_gsl.h>`

## Public Attributes

Fit * | fitter
int | n
int | p
double * | sigma
double * | X
double * | Y

## Detailed Description

Structure for fitting data.

## Member Data Documentation

Fit* FitData::fitter

Referenced by user_d(), user_df(), and user_f().

int FitData::n

Referenced by boltzmann_d(), boltzmann_df(), boltzmann_f(), exp_d(), exp_df(), exp_f(), expd2_d(), expd2_df(), expd2_f(), expd3_d(), expd3_df(), expd3_f(), gauss_d(), gauss_df(), gauss_f(), gauss_multi_peak_d(), gauss_multi_peak_df(), gauss_multi_peak_f(), logistic_d(), logistic_df(), logistic_f(), lorentz_multi_peak_d(), lorentz_multi_peak_df(), lorentz_multi_peak_f(), user_d(), user_df(), and user_f().

int FitData::p

Referenced by gauss_multi_peak_d(), gauss_multi_peak_df(), gauss_multi_peak_f(), logistic_d(), logistic_df(), logistic_f(), lorentz_multi_peak_d(), lorentz_multi_peak_df(), lorentz_multi_peak_f(), user_d(), user_df(), and user_f().

double* FitData::sigma

Referenced by boltzmann_d(), boltzmann_df(), boltzmann_f(), exp_d(), exp_df(), exp_f(), expd2_d(), expd2_df(), expd2_f(), expd3_d(), expd3_df(), expd3_f(), gauss_d(), gauss_df(), gauss_f(), gauss_multi_peak_d(), gauss_multi_peak_df(), gauss_multi_peak_f(), logistic_d(), logistic_df(), logistic_f(), lorentz_multi_peak_d(), lorentz_multi_peak_df(), lorentz_multi_peak_f(), user_d(), user_df(), and user_f().

double* FitData::X

Referenced by boltzmann_d(), boltzmann_df(), boltzmann_f(), exp_d(), exp_df(), exp_f(), expd2_d(), expd2_df(), expd2_f(), expd3_d(), expd3_df(), expd3_f(), gauss_d(), gauss_df(), gauss_f(), gauss_multi_peak_d(), gauss_multi_peak_df(), gauss_multi_peak_f(), Fit::generateFitCurve(), logistic_d(), logistic_df(), logistic_f(), lorentz_multi_peak_d(), lorentz_multi_peak_df(), lorentz_multi_peak_f(), user_d(), user_df(), and user_f().

double* FitData::Y

Referenced by boltzmann_d(), boltzmann_f(), exp_d(), exp_f(), expd2_d(), expd2_f(), expd3_d(), expd3_f(), gauss_d(), gauss_f(), gauss_multi_peak_d(), gauss_multi_peak_f(), Fit::generateFitCurve(), logistic_d(), logistic_f(), lorentz_multi_peak_d(), lorentz_multi_peak_f(), user_d(), and user_f().

The documentation for this struct was generated from the following file:

- qtiplot/src/analysis/fit_gsl.h